Saltar al contenido principal
GET
/
v1
/
recurrences
/
payer
/
charges
/
{id}
Obtener un cobro de Pix Automático
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/charges/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-Id: <x-account-id>'
import requests

url = "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/charges/{id}"

headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};

fetch('https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/charges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "amount": "29.90",
  "attemptCount": 1,
  "attempts": [
    {
      "attemptedAt": "2023-11-07T05:31:56Z",
      "dayIndex": 0,
      "endToEndId": "E30306294202606241200abcdef00001",
      "failureCode": "DEBIT_FAILED",
      "failureMessage": "The debit attempt could not be completed.",
      "outcome": "EXECUTED",
      "scheduleId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "scheduledFor": "2026-04-24T03:00:00Z"
    }
  ],
  "authorizationId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "authorizationRequestId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "currentDayIndex": 0,
  "currentScheduleId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "dueDate": "2026-04-25",
  "executedAt": "2023-11-07T05:31:56Z",
  "externalChargeId": "90d0b9e1551447f695985409bf9b7fb5",
  "failedAt": "2023-11-07T05:31:56Z",
  "failureCode": "CHARGE_REJECTED",
  "id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "journey": "J4",
  "maxAttempts": 4,
  "recurrenceId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "status": "SCHEDULED",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

X-Account-Id
string
requerido

Identificador único de la cuenta del Ledger de Midaz (formato UUID).

Parámetros de ruta

id
string
requerido

ID del cobro (formato UUID)

Respuesta

OK

accountId
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

amount
string
Ejemplo:

"29.90"

attemptCount
integer
Ejemplo:

1

attempts
object[]
authorizationId
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

authorizationRequestId
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

cancelledAt
string<date-time>
createdAt
string<date-time>
currentDayIndex
integer
Ejemplo:

0

currentScheduleId
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

dueDate
string<date>
Ejemplo:

"2026-04-25"

executedAt
string<date-time>
externalChargeId
string
Ejemplo:

"90d0b9e1551447f695985409bf9b7fb5"

failedAt
string<date-time>
failureCode
string

FailureCode es el código genérico que preserva la privacidad, reportado al receptor para el resultado actual del cobro (p. ej. CHARGE_REJECTED, OVER_LIMIT, ACCEPTED, DEBIT_FAILED). Es el ÚNICO código expuesto en la API de lectura y en el payload saliente; el motivo financiero interno nunca se incluye aquí.

Ejemplo:

"CHARGE_REJECTED"

id
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

journey
enum<string>
Opciones disponibles:
J1,
J2,
J3,
J4
Ejemplo:

"J4"

maxAttempts
integer
Ejemplo:

4

recurrenceId
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

status
enum<string>
Opciones disponibles:
RECEIVED,
SCHEDULED,
EXECUTED,
FAILED,
CANCELLED
Ejemplo:

"SCHEDULED"

updatedAt
string<date-time>